CREATE TABLE ffs_sd_data_external (
    DURATION_EXT_ID      NUMBER(10, 0),
    RESOURCE_ID          NUMBER(8, 0)     NOT NULL,
    KEY_ID               NUMBER(10, 0)    NOT NULL,
    DURATION             NUMBER(10, 0)    NOT NULL,
    WEIGHT               NUMBER(12, 4)    NOT NULL,
    ACTIVE               NUMBER(3, 0)     NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    DURATION_EXT_ID      NUMBER(10, 0),
    RESOURCE_ID          NUMBER(8, 0)     NOT NULL,
    KEY_ID               NUMBER(10, 0)    NOT NULL,
    DURATION             NUMBER(10, 0)    NOT NULL,
    WEIGHT               NUMBER(12, 4)    NOT NULL,
    ACTIVE               NUMBER(3, 0)     NOT NULL,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_ffs_sd_data_external PRIMARY KEY (DURATION_EXT_ID, DURATION_EXT_ID)
);
